summaryrefslogtreecommitdiff
path: root/scripts/travis-emcc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/travis-emcc.sh')
-rwxr-xr-xscripts/travis-emcc.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/travis-emcc.sh b/scripts/travis-emcc.sh
new file mode 100755
index 00000000..7287f870
--- /dev/null
+++ b/scripts/travis-emcc.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Copyright 2016 WebAssembly Community Group participants
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+emconfigure cmake .
+emmake make -j 2
+